GuideLab API

Update component settings

Update the lab's component display settings. Creates the settings record if it does not yet exist.

PUT
/components/settings

Update the lab's component display settings. Creates the settings record if it does not yet exist.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/components/settings" \  -H "Content-Type: application/json" \  -d '{    "showInOrderPage": true  }'
{  "settings": {    "id": "string",    "labId": "string",    "showInOrderPage": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty